From khali@linux-fr.org Thu Sep  8 13:42:43 2005
Date: Thu, 8 Sep 2005 22:42:36 +0200
From: Jean Delvare <khali@linux-fr.org>
To: Greg KH <greg@kroah.com>
Cc: Aurelien Jarno <aurelien@aurel32.net>
Subject: hwmon: fix sis5595, via686a force_addr module parameter
Message-Id: <20050908224236.1f2d5d78.khali@linux-fr.org>

Recent changes to the i2c-isa design broke the force_addr parameter of
two hardware monitoring drivers as a side effect: sis5595 and via686a.
The last address test was in fact useless beforehand, and the redesign
turned it into a bug. I'm sorry about that.

Signed-off-by: Jean Delvare <khali@linux-fr.org>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>


---
 drivers/hwmon/sis5595.c |    5 -----
 drivers/hwmon/via686a.c |    5 -----
 2 files changed, 10 deletions(-)

--- gregkh-2.6.orig/drivers/hwmon/sis5595.c	2005-09-09 10:28:55.000000000 -0700
+++ gregkh-2.6/drivers/hwmon/sis5595.c	2005-09-09 14:30:19.000000000 -0700
@@ -758,11 +758,6 @@ static int __devinit sis5595_pci_probe(s
 		return -ENODEV;
 	}
 
-	if (!address) {
-		dev_err(&dev->dev,"No SiS 5595 sensors found.\n");
-		return -ENODEV;
-	}
-
 	s_bridge = pci_dev_get(dev);
 	if (i2c_isa_add_driver(&sis5595_driver)) {
 		pci_dev_put(s_bridge);
--- gregkh-2.6.orig/drivers/hwmon/via686a.c	2005-09-09 14:30:18.000000000 -0700
+++ gregkh-2.6/drivers/hwmon/via686a.c	2005-09-09 14:30:19.000000000 -0700
@@ -812,11 +812,6 @@ static int __devinit via686a_pci_probe(s
 		return -ENODEV;
 	}
 
-	if (!address) {
-		dev_err(&dev->dev, "No Via 686A sensors found.\n");
-		return -ENODEV;
-	}
-
 	s_bridge = pci_dev_get(dev);
 	if (i2c_isa_add_driver(&via686a_driver)) {
 		pci_dev_put(s_bridge);
